summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorEugen Kuksa2016-02-24 16:08:20 +0100
committerEugen Kuksa2016-02-24 16:08:20 +0100
commite31f1c156d1421385793542bffe9ec67bf40a929 (patch)
treea0fddca5aa9e9f8521ee2a937f0ea825c667fbc6
downloadaur-e31f1c156d1421385793542bffe9ec67bf40a929.tar.gz
Initial Import.
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD25
2 files changed, 41 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..be010be9df7
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+# Generated by mksrcinfo v8
+# Wed Feb 24 15:06:54 UTC 2016
+pkgbase = spass
+ pkgdesc = An Automated Theorem Prover for First-Order Logic with Equality.
+ pkgver = 3.7
+ pkgrel = 3
+ url = http://www.spass-prover.org/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ depends = perl
+ source = http://www.spass-prover.org/download/sources/spass37.tgz
+ sha512sums = 5b4efd7b767dfee3f24e7917a6ec58ac240ab33bf601722eabd50af57637d8fdd62de9e34e7cd1cd98b8b7e371c9e2d47c8fa3e07c6e7ce2fa616a76646a4e12
+
+pkgname = spass
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..e9028df4d73
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,25 @@
+# Maintainer: Eugen Kuksa <eugenk@cs.uni-bremen.de>
+
+pkgname=spass
+pkgver=3.7
+pkgrel=3
+pkgdesc="An Automated Theorem Prover for First-Order Logic with Equality."
+url="http://www.spass-prover.org/"
+arch=('i686' 'x86_64')
+license=('GPL')
+depends=('perl')
+makedepends=('')
+source=('http://www.spass-prover.org/download/sources/spass37.tgz')
+sha512sums=('5b4efd7b767dfee3f24e7917a6ec58ac240ab33bf601722eabd50af57637d8fdd62de9e34e7cd1cd98b8b7e371c9e2d47c8fa3e07c6e7ce2fa616a76646a4e12')
+
+build() {
+ cd ${srcdir}/SPASS-${pkgver}
+ ./configure --prefix=/usr
+ make || return 1
+}
+
+package() {
+ cd ${srcdir}/SPASS-${pkgver}
+ make DESTDIR=${pkgdir} install
+}
+# vim:syntax=sh